import { VNodeChild, VNode } from 'vue';
import { Element, Root, Properties } from 'hast';
import { Schema } from 'property-information';
import { MarkdownPreviewProps } from '../';
export declare type Components = Record<string, (node: Properties | {
    node: Element;
    children?: VNode;
}) => VNodeChild>;
export declare type Raw = {
    type: 'raw';
    value: string;
};
export interface Options {
    listDepth: number;
    schema: Schema;
    components: MarkdownPreviewProps['components'];
    skipHtml: MarkdownPreviewProps['skipHtml'];
    sourcePos: MarkdownPreviewProps['sourcePos'];
    rawSourcePos: MarkdownPreviewProps['rawSourcePos'];
    includeElementIndex: MarkdownPreviewProps['includeElementIndex'];
    linkTarget: MarkdownPreviewProps['linkTarget'];
    transformLinkUri: MarkdownPreviewProps['transformLinkUri'];
    transformImageUri: MarkdownPreviewProps['transformImageUri'];
}
export declare function childrenToVue(node: Element | Root, options: Options): VNodeChild[];
export declare function toVue(options: Options, node: Element, childIndex: number, parent: Element | Root): VNodeChild;
